%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             generic-jms-ra
Version:          1.0.1
Release:          1%{dist}
Summary:          Generic JMS JCA Resource Adapter for JBoss AS
License:          LGPLv2+
URL:              https://github.com/jms-ra/generic-jms-ra
Source0:          https://github.com/jms-ra/generic-jms-ra/archive/%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    maven-rar-plugin
BuildRequires:    jboss-parent
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-logmanager
BuildRequires:    jboss-jms-1.1-api
BuildRequires:    jboss-transaction-1.1-api
BuildRequires:    jboss-connector-1.6-api
BuildRequires:    jboss-common-core

BuildArch:        noarch

%description
This project is for the Generic JMS JCA Resource Adapter for JBoss AS. As the
name suggests, this JCA RA provides the ability to integrate with any JMS
broker which allows remote clients to look-up connection factories and
destinations via JNDI (as outlined in section 4.2 of the JMS 1.1
specification). It currently is only verified to work in JBoss AS7 and
supports, for example, consuming messages with an MDB and sending messages with
a JCA-base JMS connection factory to 3rd-party brokers. It is based on the
generic JMS JCA RA found in previous versions of JBoss AS (e.g. 4, 5, and 6).
However, unlike those versions this is a stand-alone project now and no longer
supports internal dead-letter processing since every modern JMS broker supports
this already.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc	
This package contains the API documentation for %{name}.

%prep
%setup -q -n generic-jms-ra-%{namedversion}

%pom_remove_dep "org.jboss.javaee:jboss-jca-api"
%pom_remove_dep "org.jboss.javaee:jboss-jca-api" generic-jms-ra-jar

%pom_add_dep "org.jboss.spec.javax.resource:jboss-connector-api_1.6_spec"
%pom_add_dep "org.jboss.spec.javax.resource:jboss-connector-api_1.6_spec" generic-jms-ra-jar

%pom_add_dep "org.jboss:jboss-common-core"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README.md LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Fri Jan 10 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.1-1
- Initial packaging

